org.fourthline.cling.support.avtransport.lastchange

## Class AVTransportVariable

- java.lang.Object
- - org.fourthline.cling.support.avtransport.lastchange.AVTransportVariable

-     public class AVTransportVariable
      extends Object

  Author:
    Christian Bauer

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AVTransportVariable.AbsoluteCounterPosition`
    `static class` | `AVTransportVariable.AbsoluteTimePosition`
    `static class` | `AVTransportVariable.AVTransportURI`
    `static class` | `AVTransportVariable.AVTransportURIMetaData`
    `static class` | `AVTransportVariable.CurrentMediaDuration`
    `static class` | `AVTransportVariable.CurrentPlayMode`
    `static class` | `AVTransportVariable.CurrentRecordQualityMode`
    `static class` | `AVTransportVariable.CurrentTrack`
    `static class` | `AVTransportVariable.CurrentTrackDuration`
    `static class` | `AVTransportVariable.CurrentTrackMetaData`
    `static class` | `AVTransportVariable.CurrentTrackURI`
    `static class` | `AVTransportVariable.CurrentTransportActions`
    `static class` | `AVTransportVariable.NextAVTransportURI`
    `static class` | `AVTransportVariable.NextAVTransportURIMetaData`
    `static class` | `AVTransportVariable.NumberOfTracks`
    `static class` | `AVTransportVariable.PossiblePlaybackStorageMedia`
    `static class` | `AVTransportVariable.PossibleRecordQualityModes`
    `static class` | `AVTransportVariable.PossibleRecordStorageMedia`
    `static class` | `AVTransportVariable.RecordMediumWriteStatus`
    `static class` | `AVTransportVariable.RecordStorageMedium`
    `static class` | `AVTransportVariable.RelativeCounterPosition`
    `static class` | `AVTransportVariable.RelativeTimePosition`
    `static class` | `AVTransportVariable.TransportPlaySpeed`
    `static class` | `AVTransportVariable.TransportState`
    `static class` | `AVTransportVariable.TransportStatus`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Set<Class<? extends EventedValue>>` | `ALL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AVTransportVariable()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ALL

          public static Set<Class<? extends EventedValue>> ALL

  - ### Constructor Detail

    - #### AVTransportVariable

          public AVTransportVariable()

Copyright © 2014 4th Line GmbH, Switzerland. All Rights Reserved.